package cn.myhug.devlib.lifecycle

import android.arch.lifecycle.LifecycleOwner
import android.arch.lifecycle.MutableLiveData
import android.arch.lifecycle.Observer
import android.support.annotation.MainThread

class BBMutableLiveData<T> : MutableLiveData<T>() {

    @MainThread
    override fun observe(owner: LifecycleOwner, observer: Observer<T>) {
        super.observe(owner, observer)
        if (value != null) {
            observer.onChanged(value)
        }
    }

    @MainThread
    override fun observeForever( observer: Observer<T>) {
        super.observeForever(observer)
        if (value != null) {
            observer.onChanged(value)
        }
    }
}
